Package org.lwjgl.opengl

# Class EXTDrawBuffers2

java.lang.Object
org.lwjgl.opengl.EXTDrawBuffers2

public final class EXTDrawBuffers2 extends Object

## Method Summary

Modifier and Type
Method
Description
`static void`
`glColorMaskIndexedEXT(int buf, boolean r, boolean g, boolean b, boolean a)`
`static void`
`glDisableIndexedEXT(int target, int index)`
`static void`
`glEnableIndexedEXT(int target, int index)`
`static boolean`
`glGetBooleanIndexedEXT(int value, int index)`
Overloads glGetBooleanIndexedvEXT.
`static void`
`glGetBooleanIndexedEXT(int value, int index, ByteBuffer data)`
`static int`
`glGetIntegerIndexedEXT(int value, int index)`
Overloads glGetIntegerIndexedvEXT.
`static void`
`glGetIntegerIndexedEXT(int value, int index, IntBuffer data)`
`static boolean`
`glIsEnabledIndexedEXT(int target, int index)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### glColorMaskIndexedEXT

public static void glColorMaskIndexedEXT(int buf, boolean r, boolean g, boolean b, boolean a)

### glGetBooleanIndexedEXT

public static void glGetBooleanIndexedEXT(int value, int index, ByteBuffer data)

### glGetBooleanIndexedEXT

public static boolean glGetBooleanIndexedEXT(int value, int index)
Overloads glGetBooleanIndexedvEXT.

### glGetIntegerIndexedEXT

public static void glGetIntegerIndexedEXT(int value, int index, IntBuffer data)

### glGetIntegerIndexedEXT

public static int glGetIntegerIndexedEXT(int value, int index)
Overloads glGetIntegerIndexedvEXT.

### glEnableIndexedEXT

public static void glEnableIndexedEXT(int target, int index)

### glDisableIndexedEXT

public static void glDisableIndexedEXT(int target, int index)

### glIsEnabledIndexedEXT

public static boolean glIsEnabledIndexedEXT(int target, int index)